Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdUserEmailAdd

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract<IdACommandUserEmailAdd,IdAResponseUserUpdate>
com.io7m.idstore.shell.admin.internal.IdAShellCmdUserEmailAdd

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdUserEmailAdd extends IdAShellCmdAbstract<IdACommandUserEmailAdd,IdAResponseUserUpdate>
"user-email-add"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdUserEmailAdd(IdAClientSynchronousType inClient)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IdACommandUserEmailAdd`
  `onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)`
  `protected void`
  `onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseUserUpdate response)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`
  `com.io7m.quarrel.core.QParametersPositionalType`
  `onListPositionalParameters()`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract

  `completer, metadata, onExecute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

- ## Constructor Details

  - ### IdAShellCmdUserEmailAdd

    public IdAShellCmdUserEmailAdd(IdAClientSynchronousType inClient)
    Construct a command.
    Parameters:
      `inClient` - The client

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onListPositionalParameters

    public com.io7m.quarrel.core.QParametersPositionalType onListPositionalParameters()

  - ### onCreateCommand

    protected IdACommandUserEmailAdd onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)
    Specified by:
      `onCreateCommand` in class `IdAShellCmdAbstract<IdACommandUserEmailAdd,IdAResponseUserUpdate>`

  - ### onFormatResponse

    protected void onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseUserUpdate response)
    Specified by:
      `onFormatResponse` in class `IdAShellCmdAbstract<IdACommandUserEmailAdd,IdAResponseUserUpdate>`